
From: William Lee Irwin III <wli@holomorphy.com>

The printk() of a size_t is off, tripping a warning.  This patch qualifies the
integer format with a 'z' to suppress the warning.

Signed-off-by: William Irwin <wli@holomorphy.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/fs/quota_v2.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN fs/quota_v2.c~kill-quota_v2c-printk-of-size_t-warning fs/quota_v2.c
--- 25/fs/quota_v2.c~kill-quota_v2c-printk-of-size_t-warning	2005-01-10 17:29:34.989567696 -0800
+++ 25-akpm/fs/quota_v2.c	2005-01-10 17:29:34.992567240 -0800
@@ -396,7 +396,7 @@ static int v2_write_dquot(struct dquot *
 	/* dq_off is guarded by dqio_sem */
 	if (!dquot->dq_off)
 		if ((ret = dq_insert_tree(dquot)) < 0) {
-			printk(KERN_ERR "VFS: Error %d occurred while creating quota.\n", ret);
+			printk(KERN_ERR "VFS: Error %zd occurred while creating quota.\n", ret);
 			return ret;
 		}
 	spin_lock(&dq_data_lock);
_
